# Bot de pont entre le portail des assos et Mattermost

Ce bot sert à faire le pont entre le [portail des assos](https://assos.utc.fr/) et le [Mattermost de Picasoft](https://team.picasoft.net).

Il est écrit en Go, il faut donc installer un compilateur go pour compiler ce projet, il a été testé avec `gcc-go`. Il suffit de lancer `go build` pour construire l'exécutable.

Pour lancer le programme il faut renseigner quelques variables d'environnement :
* `MM_ASSOS_CHANNEL` correspond à l'ID du channel dans lequel on souhaite poster les messages
* `MM_ASSOS_TOKEN` correspond au jeton d'authentification utilisé par le compte de bot, *contactez un administrateur pour en obtenir un*
* `MM_ASSOS_ENDPOINTMM` correspond à l'URL de l'endpoint de l'API de Mattermost pour poster les messages
* `MM_ASSOS_ENDPOINTASSOS` correspond à l'URL de l'endpoint de l'API du portail des assos pour récupérer les articles

Ce programme est distribué sous licence AGPLv3
